function tele_eq = calc_tele_eq(rb)
%rb - the r-block structure

kb = 1.6022e-19;
tele_eq = rb.prese_eq;

tele_eq.fs =  (1./kb)*tele_eq.fs  ./ rb.nd_eq.fs;
tele_eq.fsh = (1./kb)*tele_eq.fsh ./ rb.nd_eq.fsh;
tele_eq.fsv = (1./kb)*tele_eq.fsv ./ rb.nd_eq.fsv;
tele_eq.fsi = (1./kb)*tele_eq.fsi ./ rb.nd_eq.fsi;
