function d=nimrodRead(fn)
%
global nimVars
if nargin < 1
    fn = nimVars.filename;
else
    nimVars.filename = fn;
end

fid = fopen(fn,'r');
setEndian(fid);

d.filename = fn;
d.dump_time = readRecord(fid);
d.dump_step = readRecord(fid);
d.nbl = readRecord(fid);
d.nrbl = readRecord(fid);
d.poly_degree = readRecord(fid);
d.nmodes = readRecord(fid);
d.keff = readRecord(fid);
d.seam0 = dumpReadSeam(fid);

for i=1:d.nbl
    d.seam{i} = dumpReadSeam(fid);
end

for i=1:d.nrbl
    d.rb{i} = dumpReadRBlock(fid);
end

fclose(fid);