function qt=readEn(fn)
% function qt=readEn(fn)
% Read in the 'energy.bin' file named in fn.

fid = fopen(fn,'r');
n=0;    % Use infinite loop - break out when a read error is encountered.
while 1
    n = n+1;
    k=1;
    try
        while k
            q = readRecord2(fid);
            if length(q) > 0
                qt(:,n,k) = q;
                k = k+1;
            else
                k = 0;
            end
        end
    catch
        fclose(fid);
        return;
    end
end

% The qt array has the following elements.
%  1 - istep
%  2 - t
%  3 - iq
%  4 - keff_total
%  5 - magnetic energy
%  6 - kinetic energy