function setEndian(fid)
% Automatically set the "endian" based on the fact that the 1'st number
%   read should always be 8.
global nimVars;
endian = nimVars.endian;
n=fread(fid,1,'int32',endian);
if n ~= 8
    if nimVars.endian == 'b'
        nimVars.endian = 'l';
    else
        nimVars.endian = 'b';
    end
end
fseek(fid,0,'bof');
