function q=readRecord(fid)
% function q=readRecord(fid)
% Read a record written by FORTRAN where all the numbers are REAL*8

global nimVars;
endian = nimVars.endian;

n=fread(fid,1,'int32',endian);
q=fread(fid,n/8,'double',endian);
n2=fread(fid,1,'int32',endian);
if(n ~= n2)
    error('n ~= n2 in readRecord');
end
